<?php get_header(); ?>

<div id="topcurve"></div>
<div id="main">
<div id="content">

<?php if (have_posts()) : ?>
<?php $post = $posts[0]; // Hack. Set $post so that the_date() works. ?>

<?php /* If this is a category archive */ if (is_category()) { ?>
<h2 class="pageTitle">Рубрика &laquo;<?php single_cat_title(); ?>&raquo;</h2>
<?php /* If this is a tag archive */ } elseif( is_tag() ) { ?>
<h2 class="pageTitle">Метка &laquo;<?php single_tag_title(); ?>&raquo;</h2>
<?php /* If this is a daily archive */ } elseif (is_day()) { ?>
<h2 class="pageTitle">Архив за <?php the_time('d M Y'); ?></h2>
<?php /* If this is a monthly archive */ } elseif (is_month()) { ?>
<h2 class="pageTitle">Архив за <?php the_time('F Y'); ?></h2>
<?php /* If this is a yearly archive */ } elseif (is_year()) { ?>
<h2 class="pageTitle">Архив за <?php the_time('Y'); ?></h2>
<?php /* If this is an author archive */ } elseif (is_author()) { ?>
<h2 class="pageTitle">Страница автора</h2>
<?php /* If this is a paged archive */ } elseif (isset($_GET['paged']) && !empty($_GET['paged'])) { ?>
<h2 class="pageTitle">Архив сайта</h2>
<?php } ?>
<?php while (have_posts()) : the_post(); ?>

<div class="post">
<h2 class="postTitle"><a href="<?php the_permalink() ?>"><?php the_title(); ?></a></h2>
<p class="postMeta">Опубликовано <?php the_time('d M Y') ?> в рубрике &laquo;<?php the_category(', '); ?>&raquo;</p>
<div class="postContent"><?php the_content('(далее...)'); ?></div>
<div class="cleared"></div>
<div class="postMetaBottom">
<p class="postMetaComments"><?php comments_popup_link('Ваш отзыв', '1 отзыв', 'Отзывов: %'); ?></p>
<p class="postMetaTags"><?php the_tags('Метки: ', ', ', ''); ?></p>
<div class="cleared"></div>
</div>
</div> <!-- Closes Post -->

<?php endwhile; ?>
<?php else : ?>
<div class="post">
<h2 class="postTitle">Не найдено</h2>
<div class="postContent"><p>К сожалению, по вашему запросу ничего не найдено.</p></div>
</div> <!-- Closes Post -->
<?php endif; ?>
</div> <!-- Closes Content -->

<?php get_sidebar(); ?>
<div class="cleared"></div>
</div> <!-- Closes Main -->

<div id="pagenav">
<div class="alignleft"><?php posts_nav_link('','','&laquo; Предыдущая страница') ?></div>
<div class="alignright"><?php posts_nav_link('','Следующая страница','') ?></div>
<div class="cleared"></div>
</div>

<?php get_footer(); ?>