<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Strict//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-strict.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="en" lang="en">

<head>
<meta http-equiv="Content-Type" content="<?php bloginfo('html_type'); ?>; charset=<?php bloginfo('charset'); ?>"  />
<title><?php if (is_home () ) { bloginfo('name'); echo " - "; bloginfo('description'); 
} elseif (is_category() ) {single_cat_title(); echo " - "; bloginfo('name');
} elseif (is_single() || is_page() ) {single_post_title(); echo " - "; bloginfo('name');
} elseif (is_search() ) {bloginfo('name'); echo " search results: "; echo wp_specialchars($s);
} else { wp_title('',true); }?></title>
<meta name="generator" content="WordPress <?php bloginfo('version'); ?>" />
<meta name="robots" content="follow, all" />
<meta name="distribution" content="global" />
<link rel="stylesheet" href="<?php bloginfo('stylesheet_url'); ?>" type="text/css" media="screen" />
<link rel="alternate" type="application/rss+xml" title="<?php bloginfo('name'); ?> RSS Feed" href="<?php bloginfo('rss2_url'); ?>" />
<link rel="alternate" type="application/atom+xml" title="<?php bloginfo('name'); ?> Atom Feed" href="<?php bloginfo('atom_url'); ?>" />
<link rel="pingback" href="<?php bloginfo('pingback_url'); ?>" />
<?php wp_head(); ?>


<!--[if lt IE 7]>
<link href="<?php bloginfo('template_url'); ?>/ie6.css" rel="stylesheet" type="text/css" />
<![endif]-->

</head>

<body>
<div id="wrapper">

<div id="header">
<div id="title">
<h1><a href="<?php echo get_option('home'); ?>"><?php bloginfo('name'); ?></a></h1>
<span><?php bloginfo('description'); ?></span>
</div>

<div id="topnav">
<ul>
  <li><a class="rss" href="feed:<?php bloginfo('comments_rss2_url'); ?>">комментарии RSS</a></li>
  <li><a class="rss" href="feed:<?php bloginfo('rss2_url'); ?>">публикации RSS</a></li>
</ul>
</div>
<div class="cleared"></div>

<div id="mainnav">
<ul id="pagesmenu">
  <li><a href="<?php echo get_option('home'); ?>">Главная</a></li>
  <?php wp_list_pages('depth=1&title_li=0&sort_column=menu_order'); ?>
</ul>
<div id="searchmenu"><?php include (TEMPLATEPATH . '/searchform.php'); ?></div>
</div>

</div> <!-- Closes header -->
